echo off
rem $Id: sm_alarm.cmd,v 1.4 2007/08/24 15:15:13 sesam Exp $
rem ******************************************************************************
rem 
rem  File      : sm_alarm.cmd
rem  Copyright : (c) SEP AG  D83629 Weyarn
rem  Date      : 02.2002
rem
rem ******************************************************************************
rem
rem  Description : This is the WNT alarm interface of SESAM backup utility.
rem                It is called from nearly all SESAM modules, whenever a
rem                fatal error occurs.
rem
rem  Parameters  : %1 = Name of module which signals the alarm
rem                %2 = Text of error message
rem
rem  This is a user programmable CMD file with 2 parameters.
rem  Please insert your specific code lines after this comment.
rem  Take care of not inserting commands which wait for an answer from
rem  the user ( OK-buttons etc. ) - this may cause a total blocking of
rem  backups during the night.
rem
rem
rem  Beschreibung: Dies ist die WNT-Alarmschnittstelle der SESAM Sicherungssoftware.
rem                Sie wird von fast allen Modulen im Falle eines groben Fehlers
rem                aufgerufen.
rem
rem  Parameter   : %1 = Name des signalisierenden Moduls
rem                %2 = Text der Meldung
rem
rem Dies ist eine benutzerprogrammierbare CMD-Datei mit 2 Parametern.
rem Fgen Sie bitte Ihre eigenen Kommandozeilen nach diesem Kommentar ein,
rem wobei Kommandos, die eine Antwort erwarten ( OK-Buttons etc. ) vermieden
rem werden sollten, da sie Sicherungen whrend der Nacht blockieren knnten.
rem 
rem ********************************************************************************
rem
echo Modul %1 Message: %2
rem
rem
rem Example Send email via sm_smtp
rem

set SESAM_LOG_DIR=C:\TEMP
set SESAM_ALARM_LOG=%SESAM_LOG_DIR%\sm_alarm.log

echo. > %SESAM_ALARM_LOG%
echo SEP sesam Alarm Message (sm_alarm.cmd) >> %SESAM_ALARM_LOG%
echo. >> %SESAM_ALARM_LOG%
date /t >> %SESAM_ALARM_LOG% && time /t >> %SESAM_ALARM_LOG%
echo Module:  %1 >> %SESAM_ALARM_LOG%
echo Message: %2 >> %SESAM_ALARM_LOG%

\Programme\SEPsesam\bin\sesam\sm_smtp -A sesam -M %SESAM_ALARM_LOG%  -s "SEP sesam Alarm Information: "+%1+" "+%2+

goto end

:end

