@echo off
rem  $Id: sm_disaster.cmd,v 1.2 2007/08/24 14:48:10 sesam Exp $
rem  ********************************************************************************************
rem  
rem   Module    : sm_disaster.cmd
rem   Copyright : (c) 2002 SEP AG G-83629 Weyarn
rem   Project   : SESAM Backup Utility
rem   Date      : 16.07.2002
rem 
rem  ********************************************************************************************
rem 
rem   >>> This is a user programmable CMD procedure <<<
rem 
rem   >>> Dieses ist eine vom Benutzer zu programmierende CMD Prozedur <<<
rem 
rem  ********************************************************************************************
rem  
rem   Description : 
rem       This procedure is called from a SESAM backup if job name contains string
rem       "DISASTER" or "SESAM", e.g. "SESAM_BACKUP".
rem  
rem       These backups should be designed to save files, which are needed to recover
rem       the SESAM server itself - called disaster recovery.
rem       These are the .\sesam\... directory and the LIS-directory, if it is not under
rem       .\sesam\..  .
rem       Furtheron the files of the database.
rem 
rem       SESAM sends the media label and the barcode of the used media and 
rem       a valid restore command to this procedure.
rem       Starting this command, the file of the currently running backup will be copied
rem       back to their original places.
rem 
rem       It is urgently recommended to sent it to several different locations to
rem       keep them available in case of full crash of the SESAM computer itself.
rem 
rem       For example write them to files on other computers within your net, mail them etc. .
rem                      
rem       The values are as follows:
rem
rem         $1 = {label} {backup source} {barcode}
rem         $2 = {sbc restore command}
rem 
rem       This should be programmed here !!!
rem 
rem  ********************************************************************************************
rem 
rem   Beschreibung 
rem       Wird vom SESAM whrend einer Sicherung gerufen, deren Name "DISASTER"
rem       oder "SESAM" beinhaltet z.B. "SESAM_BACKUP".
rem
rem       Diese Sicherungen sollten Verzeichnisse kopieren, die fr die Wiederherstellung
rem       des SESAM Servers selbst ntig sind, dem sogen. Desaster Recovery.
rem       Dieses sind das .\sesam\... Verzeichnis, sowie LIS-Verzeichnis, falls
rem       sie nicht unter .\sesam liegen.
rem       Desweiteren die Dateien der SESAM Datenbank.
rem 
rem       SESAM sendet den Medienlabel und ggf. den Barcode des benutzten Mediums
rem       und ein vollstndiges Restaurierungskommando an diese Prozedur.
rem       Startet man dieses, so werden alle Dateien der gelaufenen Sicherung wieder
rem       an ihre ursprnglichen Pltze zurckkopiert.
rem                  
rem       Es wird dringendst empfohlen diese Werte in Dateien, Mails etc. auf mehrere
rem       andere Rechner in ihrem Netz zu verlagern, um sie im Falle eines 
rem       Systemausfalls des SESAM Rechners verfgbar zu haben.
rem 
rem       Die Werte sind die folgenden:
rem
rem         $1 = {label} {backup source} {barcode}
rem         $2 = {sbc restore command}
rem 
rem       Dies sollten sie hier programmieren !!!
rem 
rem  ********************************************************************************************
rem 
rem  Example / Beispiel
rem

rem NOTIFY VIA FILE
SET MYLOG=\Programme\SEPsesam\var\ini\disaster.txt

rem English:
echo "SEPsesam Desaster Information to restore SEPsesam system after data loss" > %MYLOG%
echo "Media Source Barcode" >> %MYLOG%
echo %1 >> %MYLOG%
echo "Restore command to restore on command line" >> %MYLOG%
echo %2 >> %MYLOG%

rem Deutsch:
rem echo "SEPsesam Desasterinformation fr die Wiederherstellung des SEPsesam Systems nach einem Systemausfall" > %MYLOG%
rem echo "Medium Sicherungsquelle Barcode" >> %MYLOG%
rem echo %1 >> %MYLOG%
rem echo "Rcksicherungskommando zur Wiederherstellung des SEPsesam Systems" >> %MYLOG%
rem echo %2 >> %MYLOG%


rem Attention:
rem The account 'sesam' must be configured in GUI under 
rem Configuration - Support - Email Settings - Email-Accounts
rem with a valid SMTP Email Address and SMTP Server!

rem Hinweis: 
rem Der Account 'sesam' muss im GUI unter 
rem Konfiguration - Support - Email Einstellungen - Email-Accounts
rem eine gltige SMTP Email Adresse und SMTP Server besitzen!

\Programme\SEPsesam\bin\sesam\sm_smtp -A sesam -M \Programme\SEPsesam\var\ini\disaster.txt  -s "SEP sesam Prepare for Desaster Information"


